From 30d214cca2f6cdd0f53d7548fbbd4439c314d7df Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 16 2020 07:35:30 +0000
Subject: [PATCH 134/2232] Suppress some more clippy lints


---

diff --git a/cmd/src/main.rs b/cmd/src/main.rs
index 06b3bbe..b2cde40 100644
--- a/cmd/src/main.rs
+++ b/cmd/src/main.rs
@@ -1,3 +1,10 @@
+#![allow(
+    clippy::inherent_to_string,
+    clippy::large_enum_variant,
+    clippy::new_without_default,
+    clippy::toplevel_ref_arg
+)]
+
 mod gen;
 mod syntax;
 
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index a211761..59433c1 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -1,4 +1,5 @@
 #![allow(
+    clippy::inherent_to_string,
     clippy::large_enum_variant,
     clippy::new_without_default,
     clippy::or_fun_call,
diff --git a/src/lib.rs b/src/lib.rs
index 14cc0cb..24c5eaf 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -335,9 +335,11 @@
 #![doc(html_root_url = "https://docs.rs/cxx/0.1.2")]
 #![deny(improper_ctypes)]
 #![allow(
+    clippy::inherent_to_string,
     clippy::large_enum_variant,
     clippy::missing_safety_doc,
     clippy::module_inception,
+    clippy::needless_doctest_main,
     clippy::new_without_default,
     clippy::or_fun_call,
     clippy::ptr_arg,

